Bug 491758 - (mingw32-opensc) Review Request: mingw32-opensc - MingGW Windows OpenSC library
Review Request: mingw32-opensc - MingGW Windows OpenSC library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Sailer
Fedora Extras Quality Assurance
:
Depends On: mingw32-binutils 454410 mingw32-filesystem mingw32-iconv mingw32-openssl mingw32-readline mingw32-libltdl
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-23 16:55 EDT by Kalev Lember
Modified: 2009-06-02 10:36 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.11.7-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-02 12:37:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
t.sailer: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kalev Lember 2009-03-23 16:55:26 EDT
Spec URL: http://www.smartlink.ee/~kalev/mingw32-opensc.spec
SRPM URL: http://www.smartlink.ee/~kalev/mingw32-opensc-0.11.7-2.fc11.src.rpm
Description:
OpenSC is a package for for accessing smart card devices.  Basic
functionality (e.g. SELECT FILE, READ BINARY) should work on any ISO
7816-4 compatible smart card.  Encryption and decryption using private
keys on the smart card is possible with PKCS #15 compatible cards,
such as the FINEID (Finnish Electronic IDentity) card.  Swedish Posten
eID cards have also been confirmed to work.

This is the MinGW cross-compiled Windows library.

Approved packaging guidelines for MinGW are here:
http://fedoraproject.org/wiki/Packaging/MinGW

This is my first package and I'll need a sponsor.
Comment 1 Kalev Lember 2009-03-23 16:57:39 EDT
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1255290
Comment 2 Kalev Lember 2009-03-23 16:58:42 EDT
Rpmlint output:
mingw32-opensc.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/sbin/opensc-install.bat
mingw32-opensc.noarch: E: wrong-script-end-of-line-encoding /usr/i686-pc-mingw32/sys-root/mingw/sbin/opensc-install.bat
mingw32-opensc.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/bin/cardos-info.bat
mingw32-opensc.noarch: E: wrong-script-end-of-line-encoding /usr/i686-pc-mingw32/sys-root/mingw/bin/cardos-info.bat
mingw32-opensc.noarch: E: file-in-usr-marked-as-conffile /usr/i686-pc-mingw32/sys-root/mingw/etc/opensc.conf
1 packages and 0 specfiles checked; 5 errors, 0 warnings.
Comment 3 Kalev Lember 2009-04-15 11:47:12 EDT
Removing FE-NEEDSPONSOR, as I am now sponsored by Richard W.M. Jones.
Comment 4 Thomas Sailer 2009-04-17 09:24:57 EDT
Fedora review mingw32-libxml++-2.26.0-1.fc11.src.rpm 2008-04-17

Another scratch build:
http://koji.fedoraproject.org/koji/getfile?taskID=1303992

rpmlint output:
$ rpmlint mingw32-opensc-0.11.7-2.fc12.src.rpm mingw32-opensc-0.11.7-2.fc12.noarch.rpm mingw32-opensc.spec
mingw32-opensc.noarch: E: file-in-usr-marked-as-conffile /usr/i686-pc-mingw32/sys-root/mingw/etc/opensc.conf
mingw32-opensc.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/sbin/opensc-install.bat
mingw32-opensc.noarch: E: wrong-script-end-of-line-encoding /usr/i686-pc-mingw32/sys-root/mingw/sbin/opensc-install.bat
mingw32-opensc.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/bin/cardos-info.bat
mingw32-opensc.noarch: E: wrong-script-end-of-line-encoding /usr/i686-pc-mingw32/sys-root/mingw/bin/cardos-info.bat
2 packages and 1 specfiles checked; 5 errors, 0 warnings.

As per Packaging/MinGW, these errors can be ignored (counting .bat files as "windows executables").

+ OK
! needs attention


+ rpmlint output
+ Package is named according to Fedora MinGW packaging guidelines
+ Specfile name matches the package base name
+ Package follows the Fedora MinGW packaging guidelines
+ License meets guidelines and is acceptable to Fedora
  LGPLv2+
+ License matches the actual package license
  It is also the same as in the corresponding Fedora libxml++ package
+ The package contains the license file (COPYING)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm
419e9be372c2f9bbb3ce9704c929d5ec  opensc-0.11.7.tar.gz
419e9be372c2f9bbb3ce9704c929d5ec  ../SOURCES/opensc-0.11.7.tar.gz

n/a Package builds in mock
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and
%postun
+ Does not use Prefix: /usr
+ Package owns all directories it creates
+ No duplicate files in %files
+ %files has %defattr
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ Consistent use of macros
+ Package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
    Fedora MinGW guidelines allow headers in main package
n/a Static libraries should be in -static
+ Packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
n/a Packages should not contain libtool .la files
    Fedora MinGW guidelines allow .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Packages must not own files or directories owned by other packages
+ %install begins with rm -rf $RPM_BUILD_ROOT
+ Filenames must be valid UTF-8
! use %global instead of %define
Comment 5 Kalev Lember 2009-04-17 11:04:07 EDT
Thanks for the review.

Spec URL: http://www.smartlink.ee/~kalev/mingw32-opensc.spec
SRPM URL: http://www.smartlink.ee/~kalev/mingw32-opensc-0.11.7-3.fc11.src.rpm

* Fri Apr 17 2009 Kalev Lember <kalev@smartlink.ee> - 0.11.7-3
- Replace %%define with %%global.
Comment 6 Thomas Sailer 2009-04-17 11:12:37 EDT
APPROVED by sailer.
Comment 7 Kalev Lember 2009-04-17 11:25:50 EDT
New Package CVS Request
=======================
Package Name: mingw32-opensc
Short Description: MingGW Windows OpenSC library
Owners: kalev rjones
Branches: F-11
InitialCC:
Comment 8 Kevin Kofler 2009-04-17 11:35:17 EDT
Why no F-10 branch?
Comment 9 Kalev Lember 2009-04-17 11:43:30 EDT
My bad, it should be there. Updated request:

New Package CVS Request
=======================
Package Name: mingw32-opensc
Short Description: MingGW Windows OpenSC library
Owners: kalev rjones
Branches: F-10 F-11
InitialCC:
Comment 10 Kevin Fenzi 2009-04-17 12:41:16 EDT
cvs done.
Comment 11 Fedora Update System 2009-04-17 17:20:00 EDT
mingw32-opensc-0.11.7-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mingw32-opensc-0.11.7-3.fc11
Comment 12 Fedora Update System 2009-04-17 17:22:18 EDT
mingw32-opensc-0.11.7-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-opensc-0.11.7-3.fc10
Comment 13 Fedora Update System 2009-04-21 20:56:24 EDT
mingw32-opensc-0.11.7-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mingw32-opensc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3810
Comment 14 Fedora Update System 2009-05-02 12:37:00 EDT
mingw32-opensc-0.11.7-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-05-12 22:27:44 EDT
mingw32-opensc-0.11.8-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mingw32-opensc-0.11.8-1.fc11
Comment 16 Fedora Update System 2009-05-12 22:27:53 EDT
mingw32-opensc-0.11.8-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-opensc-0.11.8-1.fc10
Comment 17 Fedora Update System 2009-06-02 10:36:41 EDT
mingw32-opensc-0.11.8-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.